export const AB_VERSIONS = {
  A_VERSION: "PAID_DASHBOARD_A",
  B_VERSION: "PAID_DASHBOARD_B"
};

export const EVENT_CATEGORY = {
  OMBUDSMAN_CLOSED: "Ombudsman close",
  OMBUDSMAN_OPEN: "Ombudsman open",
  APP_BANNER: "app install banner",
  PROJECT_SECTION: "project section",
  APP_WIDGET: "App Widget",
  CONCIERGE: "24*7 Concierge",
  HOMEWORK_WIDGET: "homework",
  EVENT_BANNER: "Event banner",
  LEADERBOARD: "Leaderboard",
  WEEKLY_TARGET: "Weekly Target",
  CLASS_BANNER: "class banner",
  CLASS_CARD: "Join Class Card",
  TRIAL_POP_UP: "Book free class pop up",
  POST_CLASS_SUMMARY: "Post class summary",
  CELEBRATORY_ANIMATIONS_BADGES: "Celebratory animations and badges",
  BANNER_CAROUSEL: "Banner carousel",
  SONG_PRACTICE: "Song Practice",
  PROJECT_DETAIL: "Project Details",
  DAILY_ACTIVITY: "DAILY_ACTIVITY",
  EPIC_JOURNEY: "Epic Journey",
  BADGE_POPUP: "Badge Popup",
  POPUP_FOR_MIGRATED_STUDENTS: "Popup For Migrated Students",
  MILESTONE_PAGE: "Milestone Page",
  REFERAL_BANNER: "Referral Banner",
  REWARDS: "Rewards Page",
  TEACHER_DASHBOARD: "Teacher_Dashboard",
  MAGIC_MOMENTS: "Magic Moments Page Landing",
  GROWTH_CAROUSEL: "Growth Carousel",
  RENEWAL_BANNER: "Renewal Banner",
  COMMUNITY_PROFILE_WIDGET: "Community Profile Widget",
  COMMUNITY_PROJECT_WIDGET: "Community Project Widget",
  COMMUNITY_TOP_PROJECT_CARD: "Community Top Project Card",
  LEFT_NAVIGATION: "Left Navigation",
  TOP_NAVIGATION: "Top Navigation",
  LEADERBOARDV2: "LeaderboardV2"
};

export const EVENT_NAMES = {
  SIDE_NAV_CLICKED: "Side Nav Clicked",
  IMPRESSION_SENT: "Component Viewed",
  CARD_CLICKED: "Card Clicked",
  VIEW_ALL_BADGE_CLICKED: "View all badge clicked",
  BADGE_CLICKED: "Badge Clicked",
  CONCIERGE_CLICKED: "Personal concierge clicked",
  GRIEVANCE_CLICKED: "Raise your greivance clicked",
  PROGRESS_BAR_CLICKED: "Hat progress bar clicked",
  HAT_NAME_CLICKED: "Hat name clicked",
  LIFETIME_POINTS_CLICKED: "Lifetime points clicked",
  USER_NAME_CLICKED: "User Name clicked",
  PROFILE_IMAGE_CLICKED: "Profile image clicked",
  HAT_CLICKED: "Hat Image clicked",
  OMBUDSMAN_CLOSED: "Ombudsman close clicked",
  OMBUDSMAN_OPENED: "Ombudsman open clicked",
  GRIEVANCE_MESSAGE_SENT: "Grievance message sent",
  GRIEVANCE_POPUP_CLOSED: "Grievance pop up closed",
  PROJECT_CONTAINER_SEEN: "Project Container visible",
  PROJECT_CARD_CLICKED: "Project Card Clicked",
  PLAYSTORE_CLICKED: "Playstore clicked",
  APPSTORE_CLICKED: "Appstore clicked",
  CALLBACK_REQUEST: "Request a call back clicked",
  PLAN_CLICKED: "Your Plan Clicked",
  PROJECT_TAB_CLICKED: "Project Tab Clicked",
  MY_CREATOR_JOURNEY: "My startup journey clicked",
  CLICK_TO_KNOW_MORE: "Click to know more",
  HOW_TO_LEVEL_UP_CLICKED: "How to level up clicked",
  HOW_TO_EARN_POINTS_CLICKED: "How to earn points clicked",
  SHOW_DETAILS_CLICKED: "Show details clicked",
  SHOW_PAST_LEADERBOARDS_CLCIKED: "Show past leaderboards clicked",
  SHOW_ALL_CLICKED: "Show all clicked",
  WEEK_END_CLICKED: "Week end clicked",
  NEXT_BUTTON_CLICKED: "Next button clicked",
  PREV_BUTTON_CLICKED: "Previous button clicked",
  HOW_TO_EARN_MORE_TASK_CLICKED: "How to earn points task clicked",
  CONCIERGE_CHAT_CLICKED: "Concierge chat with us clicked",
  CONCIERGE_ISSUE_TYPE: "24*7 Concierge - Scheduling, cancellation or delay",
  CONCIERGE_ISSUE_CLICKED: "Concierge issue clicked",
  CONCIERGE_PAST_CHAT_CLICKED: "Concierge view past chats clicked",
  CONCIERGE_CHAT_START_CLICKED: "Concierge chat start clicked",
  CONCIERGE_CHAT_END_CLICKED: "Concierge chat end clicked",
  CONCIERGE_CHAT_CANCELLED_CLICKED: "Concierge chat cancelled",
  CONCIERGE_MINIMIZED_CLICKED: "Concierge pop up minimize clicked",
  CONCIERGE_BACK_ARROW_CLICKED: "Concierge back arrow clicked",
  CONCIERGE_CHAT_RATED: "Concierge chat rated",
  SCHEDULE_CLASS_CLICKED: "Schedule Class Clicked",
  JOIN_CLASS_CLICKED: "Join Class Clicked",
  START_CLASS_CLICKED: "Start Class Clicked",
  SELECT_BATCH_CLICKED: "Select Batch Clicked",
  COIN_HOVER_EVENT: "Coin Hover Event",
  COMMUNITY_LEFT_BANNER: "Left Community Banner Clicked",
  COMMUNITY_RIGHT_BANNER: "Right Community Banner Clicked",
  VIEW_CLASS_DETAILS: "View Class Details Clicked From Join Class",
  VIEW_DETAILS_CLICKED: "View details clicked",
  EDIT_SCHEDULE_CLICKED: "Edit schedule clicked",
  RENEW_NOW_CLICKED: "Renew now clicked",
  VIEW_CLASS_DETAILS_CLICKED: "View class details clicked",
  START: "Start quiz clicked",
  REVIEW: "Review quiz clicked",
  RESUME: "Resume quiz clicked",
  VIEW: "View quiz clicked",
  MOUNTAIN_HOVERED: "Mountain hovered",
  EARN_MORE_POINTS_CLICKED: "Earn more points clicked",
  BOOK_A_CLASS_CLICKED: "Book a class clicked",
  BOOK_A_CLASS_POP_UP_CLOSED: "Book a class pop up closed",
  EARN_MORE_POINTS_POPUP_TASK_CLICKED: "Earn more points popup task clicked",
  TOP_THREE_TASKS_CLICKED: "Top three tasks clicked",
  BANNER_CLICKED: "Banner clicked",
  MISSION_ZERO_BADGE_CLICKED: "Mission Zero Badge Clicked",
  PROJECT_CTA_BADGE_POPUP: "Complete Projects Badge Popup",
  REFERRAL_BANNER_CLICKED: "Referral Banner Clicked",
  BADGE_HOVERED: "Badge hovered",
  MISSION_ZERO_CTA_CLICKED: "Mission Zero CTA Clicked",
  TEACHER_DASHBOARD_CTA_CLICKED: "Teacher Dashboard CTA Clicked",
  REWARDS_PAGE_LANDING: "Rewards Page Landing",
  MAGIC_MOMENTS_PAGE_LANDING: "Page View Magic Moments Teacher",
  MAGIC_MOMENTS_DELETE_POST_CLASS: "Delete Magic Moment",
  MAGIC_MOMENTS_PREVIEW_VIEWED: "Magic Moment Video Preview Viewed",
  MOUNTAIN_CLICKED: "Mountain Clicked",
  GROWTH_CAROUSEL_CLICKED: "Growth Carousel Button Clicked",
  CLASS_BANNER_BUTTON_CLICKED: "Class Banner Carousel Button",
  COMMUNITY_PROFILE_VISIT_CLICK: "Community Profile Visit Clicked",
  BANNER_CAROUSEL_ARROW_CLICK: "Banner Carousel Arrow Click",
  STATS_HOVERED: "Stats Hovered",
  ARROW_CLICK: "Arrow Clicked",
  TOP_PROJECT_CARD_HOVER: "Top Project Card Hovered",
  TOP_PROJECT_CARD_CLICK: "Top Project Card Clicked",
  VIEW_ALL_TOP_PROJECT: "View All Top Project Clicked",
  STUDENT_DETAILS_HOVERED: "student details hovered",
  STUDENT_PROFILE_CLICKED: "Student profile clicked",
  STUDENT_DETAILS_CLICKED: "student details clicked",
  NAV_ITEM_CLICKED: "nav item clicked",
  APP_LINK_REQUESTED: "App Link Requested",
  PMP_DISCOVERY_POPUP_CLOSED: " pointsland_dashboard_popup_closed",
  PMP_DISCOVERY_POPUP_CLICKED: "pointsland_dashboard_popup_clicked",
  PRACTICE_COACH_BUTTON_CLICKED: "Practice Coach Button Clicked",
  PMP_DISCOVERY_POPUP_SHOWED: "pointsland_dashboard_popup_showed",
  BADGE_GALLERY_VIEWED: "Badge gallery viewed",
  BACK_TO_DASHBOARD_CLICKED: "Back to Dashboard clicked",
  TAB_CLICKED: "Tab clicked",
  CREATOR_SPACE_MATH_MAGIC: "Creator space clicked",
  APP_INSTALL_POPUP_VIEWED: "App Install popup viewed",
  APP_INSTALL_POPUP_CLICKED: "App Install pop-up clicked",
  RECOMMENDED_BATCHES_1_CONFIRMED: "Recommended_batches_1_confirmed",
  RECOMMENDED_BATCHES_2_CONFIRMED: "Recommended_batches_2_confirmed",
  RECOMMENDED_BATCHES_3_CONFIRMED: "Recommended_batches_3_confirmed",
  CHOOSE_ANOTHER_SLOT: "Choose Another Slot",
  CLICKED_GO_TO_DASHBOARD: "Clicked Go_to_Dashboard",
  TECH_ISSUE: "Tech Issue Clicked",
  INTERNET_SPEED: "Internet Speed",
  TROUBLESHOOT_BUTTON_CLICK: "Troubleshoot Button Clicked",
  AGENT_BUTTON_CLICK: "Agent Button Click",
  TEACHER_TAB: "Teacher Tab Panel Open",
  TAB_CHANGE: "Tab Panel Change",
  WIDGET_SUBMIT_CLICKED: "Widget Submit Button Click",
  END_CLASS: "End Class Button Clicked",
  TYPEFORM_RESPONSE: "Typeform Submit Response",
  POWER_UP_YOUR_PROFILE_CLICK: "Power Up Your Profile Button Clicked",
  EARN_MORE_POINTS_TASK_CLICKED: "Earn more points task clicked",
  LEARN_MORE_CLICKED: "Learn More Button Clicked"
};

export const COMPONENT_POSITION = {
  LEFT_PANEL: "Left Panel",
  RIGHT_PANEL: "Right Panel",
  GRIEVANCE_POP_UP: "Greivance pop up",
  RENEWAL_BANNER: "Renewal Banner",
  RENEWAL_MODAL: "Renewal Modal",
  NEW_EPIC_JOURNEY: "New Epic Journey",
  OLD_EPIC_JOURNEY: "Old Epic Journey"
};

export const PAGE_SOURCE = {
  DASHBOARD: "Dashboard",
  TEACHER_DASHBOARD: "Teacher Dashboard",
  REWARDS: "Rewards",
  PROJECTS: "Projects",
  THANK_YOU: "Thankyou Page",
  THANK_YOU_NEW: "Thankyou Page New",
  MY_BADGES: "My Badges",
  MAGIC_MOMENTS_POST_CLASS: "Post Class",
  WRITE_TO_US: "write_to_us"
};
export const BUTTON_TYPE = {
  CARD: "Card",
  ARROW: "Arrow",
  TAB: "Tab",
  CROSS: "Cross",
  KARAN_FACE: "Karan's face",
  RAISE: "Raise your greivance",
  CTA_NAME: "CTA name",
  LINK: "Link",
  PRIMARY: "Primary",
  CTA_BUTTON: "CTA Button",
  BANNER: "Banner",
  COIN: "Coin"
};

export const BUTTON_STATE = {
  CLICKABLE: "CLICKABLE",
};
